/*==============================================================================

FICHIER     : [vaporize.h]

DATE        : 2006/01/0024 22:02:43

CREATEUR    : [Linux!jef]

COMMENTAIRE :

================================================================================

==============================================================================*/

#ifndef __VAPORIZE_H__
#define __VAPORIZE_H__
/*@$#[vaporize.c] global proto. AutoProtoSigV1.1. date: 2009/06/03 22:14:18 */
#include "proto.h"
#ifdef __cplusplus
extern "C" {
#endif
int VaporizeInit(int (*readFun)(void *, unsigned char *, int), int (*writeFun)(void *, unsigned char *, int), int preserveF);
int VaporizeAudio(int audioTrack);
int VaporizeSubp(int subpTrack);
int VaporizeFactor(double factor, int dynF);
int VaporizeInjection(char *fileName);
int Vaporize(long long size, void *parm);
int VaporizeTerm(void);
void VaporizeSizes(int *pVideoPacketSize, int *pAudioPacketSize, int *pSubPacketSize, int *pNavPacketSize);
void VaporizePacks(int *videoPacks, int *auxPacks);
#ifdef __cplusplus
}
#endif
/*@$% end of AutoProtoSigV1.1 (Dont remove this line) []*/

#endif	/* __VAPORIZE_H__ */

